<!-- VIEW: zaak/view -->
[% USE Scalar %]


<div class="pip-case">
    <div class="pip-case-content">

        <div class="pip-case-title">

                        <h2>[% zaak.id %]: [% zaak.zaaktype_node_id.titel %]</h2>
                        <!-- <span>
                        [% IF zaak.status == 'stalled' %]
                            Deze zaak is opgeschort. Er is nog geen streefafhandeldatum bekend.
                        [% ELSIF zaak.days_left < 0 %]
                            De zaak is [% zaak.days_left.replace('-','') %] dagen over de
                            streefafhandeldatum ([%
                            zaak.streefafhandeldatum.dmy %]). Onze excuses voor het ongemak.
                        [% ELSIF zaak.is_afgehandeld %]
                            Uw zaak is [% (zaak.days_left > 0 ? 'binnen de
                            streefafhandeltijd' : '') %] afgehandeld op [%
                            zaak.afhandeldatum.dmy %]
                        [% ELSE %]
                            Uw zaak dient binnen [% zaak.days_left %] dagen
                            afgehandeld te zijn, uiterlijk op [%
                            zaak.streefafhandeldatum.dmy %]
                        [% END %]
                        </span> -->
        </div>
        
        <hr class="hide" />
        
        [% USE Scalar %]
        [% fasen = zaak.scalar.fasen %]
        <div class="fase-tl-wrap clearfix">
            <span class="hide">Fasen:</span>
            <div id="fase-tl" class="fase-count-[% fasen.count %] fasen">
                [% WHILE (fase = fasen.next) %]
                    [% fase_classes = [] %]
                    [% fase_classes.push('active')
                        IF requested_fase.status == fase.status %]
                    [% fase_classes.push('done')
                        IF fase.status <= zaak.milestone %]
                    [% fase_classes.push('huidig')
                        IF fase.status == (zaak.milestone + 1) %]
                    <div class="[% fase_classes.join(' ') %] fase">
                        <a href="[%
                            c.uri_for('/pip/zaak/' _ zaak.nr, undef, { fase => fase.status })
                        %]" title="klik om de kenmerken van deze fase te bekijken"><strong>[% fase.fase %][% (
                            fase.status == 1
                                ? ' <span>(' _ zaak.registratiedatum.strftime('%d-%m-%y') _ ')</span>'
                                : ''
                            ) %][% (
                            (!zaak.is_afgehandeld &&
                            fase.status == (zaak.milestone + 1))
                                ? ' <span>(nu bezig)</span>'
                                : ''
                            ) %][% (
                            (zaak.afhandeldatum &&
                            fase.status == zaak.afhandel_fase.status)
                                ? ' <span>(' _ zaak.afhandeldatum.strftime('%d-%m-%y') _ ')</span>'
                                : ''
                            ) %]</strong></a>
                    </div>
                [% END %]
            </div>
        </div>

    </div>
    
    

    <div class="ui-tabs pip-tabs view_zaak tabbed" id="tabinterface">
        [% huidige_fase_heeft_kenmerken = 1 IF
            (requested_fase.id == zaak.afhandel_fase.id) ||
            ( !pip &&
                zaak.zaaktype_node_id.zaaktype_kenmerken.scalar.search({
                    zaak_status_id => requested_fase.id,
                }).count
            ) ||
            ( pip &&
                zaak.zaaktype_node_id.zaaktype_kenmerken.scalar.search({
                    zaak_status_id => requested_fase.id,
                    pip => 1
                }).count
            )
        %]
        <ul class="ui-rounded-corners-off ui-tabs-nav ui-helper-reset ui-helper-clearfix ui-widget-header ui-corner-all">
            [% IF huidige_fase_heeft_kenmerken %]
            <li><a href="#zaak-elements-kenmerken">Kenmerken</a></li>
            [% END %]
            <li><a href="#zaak-elements-documents">Documenten</a></li>
            [% IF zaak.locatie_zaak %]
            <li><a href="#zaak-elements-geo">Locatie</a></li>
            [% END %]
            <li><a href="#zaak-elements-feedback">Feedback</a></li>
        </ul>
        
    <hr class="hide" />

    [% IF huidige_fase_heeft_kenmerken %]
        <div class="" id="zaak-elements-kenmerken">
            <h3 class="nojs-title">Kenmerken</h3>
            <!-- START elements/documents -->
            <!-- Accordion element voor Kenmerken -->
            [% PROCESS zaak/fields.tt %]
            <!-- STOP elements/documents -->
        </div>
        <hr class="hide" />
    [% END %]
        
        
    
        <div class="ui-tabs-hide documents" id="zaak-elements-documents">
            <h3 class="nojs-title">Documenten</h3>
            <!-- START elements/documents -->
            [% PROCESS zaak/elements/documents.tt %]
            <!-- STOP elements/documents -->
        </div>
        
        <hr class="hide" />

        [% IF zaak.locatie_zaak %]
        <div class="ui-tabs-hide no-padding" id="zaak-elements-geo">
            <h3 class="nojs-title">Locatie</h3>
            [% PROCESS zaak/elements/view_maps.tt %]
        </div>
        
        <hr class="hide" />
        [% END %]
            
    </div>
    <!-- END VIEW: zaak/view -->
</div>

